﻿@model Portal_Proveedor.Models.OnBase.Documentos
@{
    ViewBag.Title = "Importar Constancia de Pago a Cuenta";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<br />
<div class="cotainer">
    @using (Html.BeginForm("ImportarConstanciaCuenta", "OnBase", FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal" }))
    {
        @Html.HiddenFor(m => m.codigoProveedor, new { id = "codigoProveedor" })
        @Html.HiddenFor(m => m.rtn, new { id = "rtn" })
        <fieldset>
            <!-- Form Name -->
            <legend>Importar Constancia de Pago a Cuenta</legend>
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">C&oacute;digo del proveedor</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.codigoProveedor, null, new { id = "codigoProveedor", name = "codigoProveedor", placeholder = "Código del proveedor", @class = "form-control input-md", @readonly = "readonly" })

                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="email">RTN</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.rtn, null, new { id = "rtn", name = "rtn", placeholder = "Número de RTN", @class = "form-control input-md", @readonly = "readonly" })
                </div>
            </div>



            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">Fecha de vencimiento</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.fechaDeVencimiento, null, new { id = "fechaVencimiento", name = "fechaVencimiento", placeholder = "Fecha de vencimiento", @class = "form-control input-md", required = "" })

                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Importar documento</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.filePathFactura, new { type = "file", @id = "file", @name = "file", @class = "form - control - file input-md", required = "" })

                </div>
            </div>
            <!-- Button (Double) -->
            <div class="form-group">
                <label class="col-md-4 control-label" for="save"></label>
                <div class="col-md-8">
                    <input type="submit" value="Importar" class="btn btn-info" />
                    @*<a id="save" name="save" class="btn btn btn-info" onclick="Importar()">Guardar</a>
                        &nbsp; &nbsp;*@


                    @*<button id="clear" name="clear" class="btn btn-danger">Cancelar</button>*@
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10" style="text-align:center;">

                    @Html.ValidationMessageFor(m => m.tieneConstancia, "", new { @class = "text-success" })

                    @Html.ValidationMessageFor(m => m.estado, "", new { @class = "text-danger" })
                </div>
            </div>
        </fieldset>
    }
</div>

<script type="text/javascript">
    $(function () {
        $("#fechaVencimiento").datepicker({ dateFormat: 'dd/MM/yy' });
    });

     var Importar = function () {
        $.ajax({
            type: "POST",
            async: false,
            url: '@Url.Action("ImportaConstanciaCuenta", "OnBase")',
            data: {
                codigoProveedor: $("#codigoProveedor").val(),
                rtn: $("#rtn").val(),
                fechaDeVencimiento: $("#fechaVencimiento").val(),
                filePathFactura: $("#file")
            },
            success: function (data) {
                if (data === "La constancia de pago a cuenta se ha almacenado correctamente.") {
                    alert(data);
                    Alerta("success", "La constancia de pago a cuenta se ha almacenado correctamente.", 'top');

                   //window.location.href = '@Url.Content("~/Home/Index/")';

                }
                else {
                    alert( data);
                    Alerta("error", "Error.", 'top');
                }
            }
        });
    };



</script>